RDKit::FMCS::NewBond Struct Reference

`#include <Seed.h>`

## Public Member Functions

| NewBond ()
| NewBond (unsigned from_atom, unsigned bond_idx, unsigned new_atom, unsigned to_atom, const Atom *a)

## Public Attributes

unsigned | SourceAtomIdx {0}
unsigned | BondIdx {0}
unsigned | NewAtomIdx {0}
const Atom * | NewAtom {nullptr}
unsigned | EndAtomIdx {0}

## Detailed Description

Definition at line 35 of file Seed.h.

## Constructor & Destructor Documentation

## NewBond() [1/2]

RDKit::FMCS::NewBond::NewBond | ( |  | ) |

inline

Definition at line 46 of file Seed.h.

## NewBond() [2/2]

RDKit::FMCS::NewBond::NewBond | ( | unsigned | from_atom,
|  | unsigned | bond_idx,
|  | unsigned | new_atom,
|  | unsigned | to_atom,
|  | const Atom * | a
| ) |  |

inline

Definition at line 50 of file Seed.h.

## Member Data Documentation

## BondIdx

unsigned RDKit::FMCS::NewBond::BondIdx {0}

Definition at line 37 of file Seed.h.

## EndAtomIdx

unsigned RDKit::FMCS::NewBond::EndAtomIdx {0}

Definition at line 43 of file Seed.h.

## NewAtom

const Atom* RDKit::FMCS::NewBond::NewAtom {nullptr}

Definition at line 41 of file Seed.h.

## NewAtomIdx

unsigned RDKit::FMCS::NewBond::NewAtomIdx {0}

Definition at line 39 of file Seed.h.

## SourceAtomIdx

unsigned RDKit::FMCS::NewBond::SourceAtomIdx {0}

Definition at line 36 of file Seed.h.

The documentation for this struct was generated from the following file:

- Seed.h